Bug 239918 - Review Request: php-pear-Net-Traceroute - Execute traceroute
Summary: Review Request: php-pear-Net-Traceroute - Execute traceroute
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-12 11:45 UTC by Remi Collet
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-02 07:51:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2007-05-12 11:45:22 UTC
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Net-Traceroute.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Net-Traceroute-0.21.1-1.fc8.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/php-pear-Net-Traceroute-build.log
Description: 
OS independet wrapper class for executing traceroute calls

-- 
Here is another "oreon" requires (the lastest I think)

Comment 1 Jason Tibbitts 2007-05-15 22:53:43 UTC
I suggest changing the %description to:
  OS independent wrapper class for executing traceroute calls.
to fix a misspelling and add a period.

I think this package should have a runtime depdency on traceroute; otherwise I'm
not sure what the point is.

* source files match upstream:
   a3a25932b9e81ebbec7f12035859bbd336d0b334d0c8bca5b15386a672c45463  
   Net_Traceroute-0.21.1.tgz
* package meets naming and versioning guidelines.
? specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
? final provides and requires are sane:
   php-pear(Net_Traceroute) = 0.21.1
   php-pear-Net-Traceroute = 0.21.1-1.fc7
  =
   /bin/sh
   /usr/bin/pear
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 2 Remi Collet 2007-05-16 10:18:55 UTC
Thanks for the review.

Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Net-Traceroute.spec
SRPM URL:
http://remi.collet.free.fr/rpms/extras/php-pear-Net-Traceroute-0.21.1-2.fc8.src.rpm

%changelog
* Wed May 16 2007 Remi Collet <Fedora@FamilleCollet.com> 0.21.1-2
- From review, change description
- add Requires: traceroute

About "macros used". Spec file use new macros provided by php-pear since
1.4.9-1.2 (/etc/rpm/macros.pear).

Can you detail me what you are not sure about ?


Comment 3 Jason Tibbitts 2007-05-16 20:25:46 UTC
My comment about "otherwise I'm not sure what the point is" was merely noting
that if you don't have a traceroute dependency (and the system doesn't happen to
have traceroute already installed) then this module is essentially useless.  But
since you added the dependency, everything's fine.

APPROVED

Comment 4 Remi Collet 2007-05-17 05:52:31 UTC
New Package CVS Request
=======================
Package Name: php-pear-Net-Traceroute
Short Description: Execute traceroute
Owners: Fedora@FamilleCollet.com
Branches: devel FC-6 FC-5 EL-5 (FC-7 ??)
InitialCC: 

Comment 5 Remi Collet 2007-06-01 17:04:57 UTC
Package Change Request
======================
Package Name: php-pear-Net-Traceroute
New Branches: F-7




Comment 6 Jason Tibbitts 2007-06-02 00:21:21 UTC
CVS done.


Note You need to log in before you can comment on or make changes to this bug.